class ApplicationController < ActionController::Base
    protect_from_forgery with: :exception

    private

    def current_user
        @current_user ||= User.find(session[:user_id]) if session.has_key?(:user_id)
    end
    helper_method :current_user
end
