# -*- encoding: utf-8 -*-
require File.expand_path File.join('..', 'lib', 'omniauth', 'slooob', 'version'), __FILE__

Gem::Specification.new do |gem|
    gem.name                  = 'omniauth-slooob'
    gem.version               = OmniAuth::Slooob::VERSION
    gem.platform              = Gem::Platform::RUBY
    gem.summary               = 'Slooob OAuth2 strategy for OmniAuth'
    gem.description           = 'Slooob OAuth2 Strategy for OmniAuth. Built on Slooob Identity API v1.'
    gem.authors               = 'Slooob'
    gem.email                 = 'developer@slooob.com'
    gem.homepage              = 'https://developer.slooob.com/docs/api/identity/v1'
    gem.license               = 'MIT'

    gem.files                 = `git ls-files`.split("\n")
    gem.require_paths         = ['lib']

    gem.required_ruby_version = '>= 2.0'

    gem.add_runtime_dependency 'omniauth', '>= 1.1.1'
    gem.add_runtime_dependency 'omniauth-oauth2', '>= 1.3.1'
    gem.add_runtime_dependency 'multi_json', '~> 1.12'

    gem.add_development_dependency 'shoulda', '~> 3.5'
    gem.add_development_dependency 'shoulda-let', '~> 0.0'
    gem.add_development_dependency 'tzinfo-data', '~> 1.2017'
    gem.add_development_dependency 'rubocop', '~> 0.49'
end
